%global meadalpha %{nil}
%global meadrel %{nil}
%global version_major 2
%global version_minor 11
%define scldir /opt/rh/jbcs-httpd24/root
%global serial 53
%global commitid fc9383ba3dc517db349bb1b7babbaf0a0be91db2


%{?scl:%scl_package jansson}
%{!?scl:%global pkg_name %{name}}

Name:		%{?scl_prefix}jansson
Version:	2.11
Release:	%{serial}%{?dist}
Summary:	C library for encoding, decoding and manipulating JSON data

Group:		System Environment/Libraries
License:	MIT
URL:		http://www.digip.org/jansson/
Source0:	%{pkg_name}-%{commitid}.tar.gz

BuildRequires:	gcc
BuildRequires:	autoconf automake libtool
%if 0%{?rhel} == 8
BuildRequires:	python3-sphinx
%else
BuildRequires:	python-sphinx
%endif
%{?scl:Requires: %scl_runtime}

%description
Small library for parsing and writing JSON documents.

%package devel
Summary: Header files for jansson
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files for developing applications making use of jansson.

%prep
%setup -q -n %{pkg_name}-%{commitid}

autoreconf --force --install -I m4

%if 0%{?rhel} == 6
%{__sed} -i 's/code-block:: shell/code-block:: none/g' doc/*.rst
%endif

%build
%configure --disable-static
make %{?_smp_mflags}

%check
make check

%install
make install INSTALL="install -p" DESTDIR="$RPM_BUILD_ROOT"
rm "$RPM_BUILD_ROOT%{_libdir}"/*.la

%files
%doc LICENSE CHANGES
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{pkg_name}.pc
%{_includedir}/*

%changelog
* Sat Oct 10 2020 cpaas-ops <cpaas-ops@redhat.com> - 2.11-53
Built by CPaaS

* Thu Oct 08 2020 cpaas-ops <cpaas-ops@redhat.com> - 2.11-52
Built by CPaaS

* Wed Oct 07 2020 cpaas-ops <cpaas-ops@redhat.com> - 2.11-51
Built by CPaaS

* Tue Oct 06 2020 cpaas-ops <cpaas-ops@redhat.com> - 2.11-50
Built by CPaaS

* Tue Feb 11 2020 cpaas-ops <cpaas-ops@redhat.com> - 2.11-29
Built by CPaaS

* Thu Jan 23 2020 cpaas-ops <cpaas-ops@redhat.com> - 2.11-28
Built by CPaaS

* Tue Jan 21 2020 cpaas-ops <cpaas-ops@redhat.com> - 2.11-27
Built by CPaaS

* Fri Jan 17 2020 cpaas-ops <cpaas-ops@redhat.com> - 2.11-26
Built by CPaaS

* Fri Jan 17 2020 cpaas-ops <cpaas-ops@redhat.com> - 2.11-25
Built by CPaaS

* Tue Dec 17 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 2.11-24
-  JBCS 2.4.37-SP1.ER1

* Thu Dec 05 2019 Mladen Turk <mturk@redhat.com> - 2.11-21
- Rebuild from lookaside

* Tue Aug 06 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 2.11-18
- JBCS 2.4.37.ER2

* Wed Jul 31 2019 Coty Sutherland <csutherl@redhat.com> - 2.11-16
- Add SCL logic

* Thu Jul 18 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 2.11-13
- JBCS 2.4.37.ER1

* Fri May 24 2019 Hui Wang <huwang@redhat.com> - 2.11-2
- 2.11

* Fri Aug 03 2018 Xin Long <lxin@redhat.com> - 2.11-3
- Deal with warnings under gcc 8
- Call va_end after va_copy in json_vsprintf
- Fix bogus date in jansson.spec

* Mon Jul 09 2018 Charalampos Stratakis <cstratak@redhat.com> - 2.11-2
- Change to python3-sphinx

* Sat Mar 10 2018 Corey Farrell <git@cfware.com> - 2.11-1
- Update to Jansson 2.11

* Mon Feb 19 2018 Jared Smith <jsmith@fedoraproject.org> - 2.10-7
- Add missing BuildRequires on gcc

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Feb 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.10-5
- Switch to %%ldconfig_scriptlets

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jun 10 2017 Nathaniel McCallum <npmccallum@redhat.com> - 2.10-2
- Add upstream patch for optional arguments to json_pack()
- Migrate to use autosetup macro

* Thu Mar 02 2017 Nathaniel McCallum <npmccallum@redhat.com> - 2.10-1
- Update to Jansson 2.10

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Sep 20 2016 Nathaniel McCallum <npmccallum@redhat.com> - 2.9-1
- Update to Jansson 2.9

* Fri Sep 16 2016 Nathaniel McCallum <npmccallum@redhat.com> - 2.8-1
- Update to Jansson 2.8
- Add json_auto_t patch

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 05 2015 Jiri Pirko <jpirko@redhat.com> 2.7-1
- Update to Jansson 2.7

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 15 2014 Jiri Pirko <jpirko@redhat.com> 2.6-3
- Create devel-doc package

* Tue Mar 11 2014 Peter Robinson <pbrobinson@fedoraproject.org> 2.6-2
- Package cleanups

* Thu Feb 13 2014 Jared Smith <jsmith@fedoraproject.org> - 2.6-1
- Update to Jansson 2.6 for CVE-2013-6401 

* Sat Jan 25 2014 Jiri Pirko <jpirko@redhat.com> 2.5-1
- Update to Jansson 2.5.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Jiri Pirko <jpirko@redhat.com> 2.4-1
- Update to Jansson 2.4.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 03 2012 Jiri Pirko <jpirko@redhat.com> 2.3-1
- Update to Jansson 2.3.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jun 11 2011 Sean Middleditch <sean@middleditch.us> 2.1-1
- Update to Jansson 2.1.
- Drop Sphinx patch, no longer necessary.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 03 2010 Sean Middleditch <sean@middleditch.us> 1.3-1
- Update to Jansson 1.3.
- Disable warnings-as-errors for Sphinx documentation.

* Thu Jan 21 2010 Sean Middleditch <sean@middleditch.us> 1.2-1
- Update to Jansson 1.2.

* Mon Jan 11 2010 Sean Middleditch <sean@middleditch.us> 1.1.3-4
- Update jansson description per upstream's suggestions.
- Removed README from docs.

* Sat Jan 09 2010 Sean Middleditch <sean@middleditch.us> 1.1.3-3
- Correct misspelling of jansson in the pkg-config file.

* Sat Jan 09 2010 Sean Middleditch <sean@middleditch.us> 1.1.3-2
- Fix Changelog dates.
- Mix autoheader warning.
- Added make check.
- Build and install HTML documentation in -devel package.

* Thu Jan 07 2010 Sean Middleditch <sean@middleditch.us> 1.1.3-1
- Initial packaging for Fedora.
